public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
Date: Sun, 10 Apr 2022 21:20:20 +0000 (UTC)	[thread overview]
Message-ID: <1649625613.955914db6c97ce5e0bc4889efe57f36a00b2d1ab.mgorny@gentoo> (raw)

commit:     955914db6c97ce5e0bc4889efe57f36a00b2d1ab
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 10 21:04:59 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Apr 10 21:20:13 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=955914db

dev-python/sphinxcontrib-bibtex: Bump to 2.4.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  1 +
 .../sphinxcontrib-bibtex-2.4.2.ebuild              | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
index f15517fc2285..3aa28c8d2a8c 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1,2 +1,3 @@
 DIST sphinxcontrib-bibtex-2.3.0.tar.gz 100159 BLAKE2B 96c9ebf48f11354ea3978a053828f9290457aff4fa1f0bb3d9f94bfe6fb5d5463f83bb12004f22bf8e34a517393848482a27d6754c682d25a0de64c3c7d06ecc SHA512 84652cfc7ad19ad5cdc1dba9a8aa7f835c5c95850a8e941067fd79b6b271733a63a1ba457a59e18156737888c2f42350b7fe0cf2d55ea478629b74b00d14f908
 DIST sphinxcontrib-bibtex-2.4.1.tar.gz 108355 BLAKE2B 2ebe53186b7bbf6ef5e09f05e3586b3a2d126978ef87a023f577cb9768621ceea8eaba8be3d03f55d3c7cd0cd7682c598cf141468129866fb7ac9f08ed0e9245 SHA512 9f323379d2626837dc199ac6c63c555eef8a9fa7c1b215f68d5f2c2769ff4027a027c1a46abe9b09aadf87144ddb22e08aaa47838183a82ff0e12fbd91a5334a
+DIST sphinxcontrib-bibtex-2.4.2.tar.gz 284061 BLAKE2B 06d9a868da621cca522c45998ce5f28a5aafc501127760c494e9e796d807800cccf3ee0cace7f4b824a00a76e8dd80e77d0ac5e037f2eaebbeec2ce4ea2ead70 SHA512 52d47bf0a20ef13f29b712bbe66cbcb98bd9531b8032a847375ff23180368decc3f89c2323b9ccff77c9bc9fdada63c521a81da6b701533973fcf627c2672e82

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.2.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.2.ebuild
new file mode 100644
index 000000000000..05db93750374
--- /dev/null
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extensions for BibTeX style citations"
+HOMEPAGE="https://github.com/mcmtroffaes/sphinxcontrib-bibtex"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	dev-python/docutils[${PYTHON_USEDEP}]
+	>=dev-python/pybtex-0.24[${PYTHON_USEDEP}]
+	dev-python/pybtex-docutils[${PYTHON_USEDEP}]
+	dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
+python_compile() {
+	distutils-r1_python_compile
+	find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+	# this is needed to keep the tests working while
+	# dev-python/namespace-sphinxcontrib is still installed
+	cat > "${BUILD_DIR}/install$(python_get_sitedir)/sphinxcontrib/__init__.py" <<-EOF || die
+		__path__ = __import__('pkgutil').extend_path(__path__, __name__)
+	EOF
+	epytest
+	rm "${BUILD_DIR}/install$(python_get_sitedir)/sphinxcontrib/__init__.py" || die
+}


             reply	other threads:[~2022-04-10 21:20 UTC|newest]

Thread overview: 28+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-10 21:20 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-19 20:22 [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/ Michał Górny
2024-09-13  3:12 Michał Górny
2024-07-08 19:22 Michał Górny
2024-04-14 15:28 Michał Górny
2024-02-26 14:25 Michał Górny
2024-01-10 21:12 Michał Górny
2023-12-30 18:35 Michał Górny
2023-12-30  1:26 Ionen Wolkens
2023-12-18  5:18 Michał Górny
2023-09-14 11:02 Andrew Ammerlaan
2023-08-27 15:59 Michał Górny
2023-08-25  9:49 Michał Górny
2023-03-17 15:25 Michał Górny
2022-08-31 12:38 Andrew Ammerlaan
2022-06-05  5:52 Michał Górny
2022-04-26 19:01 Michał Górny
2022-04-11 19:58 Michał Górny
2022-04-11  7:41 Michał Górny
2021-09-13  7:31 Andrew Ammerlaan
2021-09-03  7:32 Arthur Zamarin
2021-09-03  7:32 Arthur Zamarin
2021-06-05 20:54 Andrew Ammerlaan
2021-06-01 21:37 Michał Górny
2021-05-22 20:55 Andrew Ammerlaan
2021-05-17  7:36 Michał Górny
2021-03-05 21:50 Michał Górny
2021-01-16  8:05 Joonas Niilola

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1649625613.955914db6c97ce5e0bc4889efe57f36a00b2d1ab.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox